summaryrefslogtreecommitdiffstats
path: root/academic
diff options
context:
space:
mode:
author Petar Petrov <slackalaxy@gmail.com>2017-05-02 22:20:03 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2017-05-02 22:20:03 +0700
commit02d26ea5f0a1ac8f931e4a625aec1fe984023e98 (patch)
treecb3dd72054cd7d4d901edb5e72bb96554cf4dcd1 /academic
parent76a9808c95a1088f2ceda0ae0ad48c3dd3bbb17f (diff)
downloadslackbuilds-02d26ea5f0a1ac8f931e4a625aec1fe984023e98.tar.gz
slackbuilds-02d26ea5f0a1ac8f931e4a625aec1fe984023e98.tar.xz
academic/bppsuite: Added (Bio++ program suite).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'academic')
-rw-r--r--academic/bppsuite/README8
-rw-r--r--academic/bppsuite/bppsuite.SlackBuild107
-rw-r--r--academic/bppsuite/bppsuite.info10
-rw-r--r--academic/bppsuite/slack-desc19
4 files changed, 144 insertions, 0 deletions
diff --git a/academic/bppsuite/README b/academic/bppsuite/README
new file mode 100644
index 0000000000..1a37104dbe
--- /dev/null
+++ b/academic/bppsuite/README
@@ -0,0 +1,8 @@
+Bio++ program suite
+
+The Bio++ Program Suite is a package of programs using the Bio++
+libraries and dedicated to Phylogenetics and Molecular Evolution. All
+programs are independent, but can be combined to perform rather
+complex analyses. These programs use the interface helper tools of the
+libraries, and hence share the same syntax. They also have several
+options in common, which may also be shared by third-party software.
diff --git a/academic/bppsuite/bppsuite.SlackBuild b/academic/bppsuite/bppsuite.SlackBuild
new file mode 100644
index 0000000000..48667bae57
--- /dev/null
+++ b/academic/bppsuite/bppsuite.SlackBuild
@@ -0,0 +1,107 @@
+#!/bin/sh
+
+# Slackware build script for bppsuite
+
+# Copyright 2017 Petar Petrov slackalaxy@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=bppsuite
+VERSION=${VERSION:-git_e2d0827}
+COMMIT=e2d0827fa47aa8feb25abcb6789b07b025939991
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$COMMIT
+tar xvf $CWD/$PRGNAM-$COMMIT.tar.gz
+cd $PRGNAM-$COMMIT
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+# Place man pages to their proper location
+mkdir -p $PKG/usr/man/man1
+mv $PKG/usr/share/man/man1/* $PKG/usr/man/man1
+
+# Place info pages to their proper location
+mkdir -p $PKG/usr/info
+mv $PKG/usr/share/info/* $PKG/usr/info
+rm -rf $PKG/usr/share
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+rm -f $PKG/usr/info/dir
+gzip -9 $PKG/usr/info/*.info*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS.txt ChangeLog COPYING.txt INSTALL.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/academic/bppsuite/bppsuite.info b/academic/bppsuite/bppsuite.info
new file mode 100644
index 0000000000..46e1fffcd8
--- /dev/null
+++ b/academic/bppsuite/bppsuite.info
@@ -0,0 +1,10 @@
+PRGNAM="bppsuite"
+VERSION="git_e2d0827"
+HOMEPAGE="http://biopp.univ-montp2.fr/"
+DOWNLOAD="https://github.com/BioPP/bppsuite/archive/e2d0827/bppsuite-e2d0827fa47aa8feb25abcb6789b07b025939991.tar.gz"
+MD5SUM="698ed93d975d7c9a006b4706fc257174"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="bpp-seq-omics bpp-phyl-omics bpp-popgen"
+MAINTAINER="Petar Petrov"
+EMAIL="slackalaxy@gmail.com"
diff --git a/academic/bppsuite/slack-desc b/academic/bppsuite/slack-desc
new file mode 100644
index 0000000000..8419aa4f1e
--- /dev/null
+++ b/academic/bppsuite/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+bppsuite: bppsuite (Bio++ program suite)
+bppsuite:
+bppsuite: The Bio++ Program Suite is a package of programs using the Bio++
+bppsuite: libraries and dedicated to Phylogenetics and Molecular Evolution.
+bppsuite: All programs are independent, but can be combined to perform
+bppsuite: rather complex analyses. These programs use the interface helper
+bppsuite: tools of the libraries, and hence share the same syntax. They also
+bppsuite: have several options in common, which may also be shared by third-
+bppsuite: party software.
+bppsuite:
+bppsuite: Git: https://github.com/BioPP/bppsuite